# TODO: use man cache owner?
#
# Conditional build:
%bcond_without	tests	# "make check" call
#
Summary:	Tools for searching and reading man pages
Summary(pl.UTF-8):	Narzędzia do przeszukiwania i czytania stron podręcznika man
Name:		man-db
Version:	2.10.0
Release:	1
# project man-db  GPLv2+
# Gnulib part     GPLv3+
License:	GPL v2+ and GPL v3+
Group:		Base
Source0:	http://download.savannah.gnu.org/releases/man-db/%{name}-%{version}.tar.xz
# Source0-md5:	96009cd422f2e62b01b8c4de0f5691f1
Source1:	%{name}.daily
Source2:	%{name}.sysconfig
# Resolves: #655385 - use old format of nroff output
Patch0:		sgr.patch
# recent nroff uses times()
Patch1:		%{name}-sandbox.patch
URL:		http://www.nongnu.org/man-db/
BuildRequires:	gdbm-devel
BuildRequires:	gettext-tools >= 0.18.3
BuildRequires:	groff
BuildRequires:	less
BuildRequires:	libpipeline-devel >= 1.5.0
BuildRequires:	libseccomp-devel
BuildRequires:	pkgconfig
BuildRequires:	po4a >= 0.41
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	coreutils
Requires:	cronjobs
Requires:	grep
Requires:	groff
Requires:	gzip
Requires:	less
Requires:	libpipeline >= 1.5.0
Suggests:	zstd
Provides:	man-pages-reader = %{version}
Obsoletes:	man < 1.7
Obsoletes:	man-config < 1.7
Obsoletes:	man-whatis < 1.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pkgcachedir	/var/cache/man

%description
The man-db package includes five tools for browsing man-pages: man,
whatis, apropos, manpath and lexgrog:
- man preformats and displays manual pages.
- whatis searches the manual page names.
- apropos searches the manual page names and descriptions.
- manpath determines search path for manual pages.
- lexgrog directly reads header information in manual pages.

%description -l pl.UTF-8
Pakiet man-db zawiera pięć narzędzi do przeglądania stron podręcznika
man (nazywanych man-pages): man, whatis, apropos, manpath i lexgrog:
- man wstępnie formatuje i wyświetla strony podręcznika.
- whatis przeszukuje nazwy stron podręcznika.
- apropos przeszukuje nazwy stron podręcznika oraz opisy.
- manpath określa ścieżkę przeszukiwania dla stron podręcznika.
- lexgrog bezpośrednio odczytuje informacje z nagłówka stron
  podręcznika.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-cache-owner \
	--disable-setuid \
	--disable-silent-rules \
	--with-browser=elinks \
	--with-sections="1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x" \
	--with-systemdtmpfilesdir=%{systemdtmpfilesdir} \
	--with-zstd=/usr/bin/zstd

%{__make} \
	CC="%{__cc} %{rpmcflags} %{rpmcppflags}"

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL='install -p' \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

# move the documentation to relevant place
%{__mv} $RPM_BUILD_ROOT%{_docdir}/man-db/* ./

# remove libtool archives
%{__rm} $RPM_BUILD_ROOT%{_libdir}/man-db/*.la

# install cache directory
install -d $RPM_BUILD_ROOT%{pkgcachedir}

# install cron script for man-db creation/update
install -D -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/man-db.cron

# config for cron script
install -D -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/man-db

cat <<EOF > $RPM_BUILD_ROOT%{systemdtmpfilesdir}/man-db.conf
d %{pkgcachedir} 2755 root root 1w
EOF

%find_lang %{name}
%find_lang %{name}-gnulib
cat %{name}-gnulib.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog FAQ NEWS.md README.md man-db-manual.txt man-db-manual.ps
%config(noreplace) %{_sysconfdir}/man_db.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/man-db
%attr(750,root,root) /etc/cron.daily/man-db.cron
%attr(755,root,root) %{_sbindir}/accessdb
%attr(755,root,root) %{_bindir}/apropos
%attr(755,root,root) %{_bindir}/catman
%attr(755,root,root) %{_bindir}/lexgrog
%attr(755,root,root) %{_bindir}/man
%attr(755,root,root) %{_bindir}/man-recode
%attr(755,root,root) %{_bindir}/mandb
%attr(755,root,root) %{_bindir}/manpath
%attr(755,root,root) %{_bindir}/whatis
%dir %{_libdir}/man-db
%attr(755,root,root) %{_libdir}/man-db/*.so
%if "%{_libexecdir}" != "%{_libdir}"
%dir %{_libexecdir}/man-db
%endif
%attr(755,root,root) %{_libexecdir}/man-db/zsoelim
%{_libexecdir}/man-db/globbing
%{_libexecdir}/man-db/manconv
%{systemdunitdir}/man-db.service
# TODO: as cron.daily replacement
#%{systemdunitdir}/man-db.timer
%{systemdtmpfilesdir}/man-db.conf
%dir %{pkgcachedir}
# documentation and translation
%{_mandir}/man1/apropos.1*
%{_mandir}/man1/lexgrog.1*
%{_mandir}/man1/man.1*
%{_mandir}/man1/man-recode.1*
%{_mandir}/man1/manconv.1*
%{_mandir}/man1/manpath.1*
%{_mandir}/man1/whatis.1*
%{_mandir}/man1/zsoelim.1*
%{_mandir}/man5/manpath.5*
%{_mandir}/man8/accessdb.8*
%{_mandir}/man8/catman.8*
%{_mandir}/man8/mandb.8*
%lang(da) %{_mandir}/da/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(id) %{_mandir}/id/man*/*
%lang(it) %{_mandir}/it/man*/*
%lang(ja) %{_mandir}/ja/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(pl) %{_mandir}/pl/man*/*
%lang(pt) %{_mandir}/pt/man*/*
%lang(pt_BR) %{_mandir}/pt_BR/man*/*
%lang(ro) %{_mandir}/ro/man*/*
%lang(ru) %{_mandir}/ru/man*/*
%lang(sr) %{_mandir}/sr/man*/*
%lang(sv) %{_mandir}/sv/man*/*
%lang(tr) %{_mandir}/tr/man*/*
%lang(zh_CN) %{_mandir}/zh_CN/man*/*
%changelog
* Mon Feb 07 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/man-db.git;a=log;h=master

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 3c62219
- updated to 2.10.0

* Sun Dec 20 2020 Jan Palus <atler@pld-linux.org> 5c390f4
- up to 2.9.3

* Sat Mar 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 739212b
- updated to 2.9.1

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 2792d2a
- updated gettext version

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> c4d413c
- up to 2.9.0

* Tue Aug 06 2019 Adam Gołębiowski <adamg@pld-linux.org> 96526e1
- updated to 2.8.6.1

* Thu Feb 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 607879d
- updated to 2.8.5
- added sandbox patch (add times() to allowed syscalls, required by nroff)

* Tue Oct 16 2018 Adam Gołębiowski <adamg@pld-linux.org> 549fd9b
- updated to 2.8.4

* Tue Jun 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 17f620e
- unified macro name for package specific dir

* Tue Jun 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e7b5db
- up to 2.8.3

* Wed Jul 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 39e6180
- rel 2

* Wed Jul 12 2017 Jakub Bogusz <qboosh@pld-linux.org> a34d597
- disable cache-owner option which has no chances to work without proper environment (man user etc.); now tests pass
- cleaned up systemd/timer remants (cron.daily is handled by timer via PLD provided configuration)

* Sun Jul 09 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c59720
- up to 2.7.6.1

* Wed Apr 05 2017 Mateusz Korniak <matkor@pld-linux.org> 99865d5
- Release: 3. Disabled duplicate systemd timer.

* Wed Apr 05 2017 Mateusz Korniak <matkor@pld-linux.org> 43f6530
- Added cronjob timer+service.

* Fri Mar 10 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> bc2bd68
- Release: 2

* Thu Mar 09 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 9ec5982
- add systemd-cronjobs support

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> e31c0f1
- up to 2.7.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ff7322d
- x32 rebuild
- release 3 (by relup.sh)

* Fri Feb 13 2015 Łukasz Kieś <kiesiu@pld-linux.org> a07e8d4
- use PLD permissions on cache dir in tmpfile.d conf
- rel. 2

